Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.input
Class LineRecordReader

    java.lang.Object
      org.apache.hadoop.mapreduce.RecordReader<LongWritable,Text>
          org.apache.hadoop.mapreduce.lib.input.LineRecordReader

All Implemented Interfaces:
  Closeable

    public class LineRecordReader

extends RecordReader<LongWritable,Text>

Treats keys as offset in file and value as line.

Constructor Summary
`LineRecordReader()`

Method Summary
`void` | `close()` Close the record reader.
`LongWritable` | `getCurrentKey()` Get the current key
`Text` | `getCurrentValue()` Get the current value.
`float` | `getProgress()` Get the progress within the split
`void` | `initialize(InputSplit genericSplit, TaskAttemptContext context)` Called once at initialization.
`boolean` | `nextKeyValue()` Read the next key, value pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineRecordReader

    public LineRecordReader()

Method Detail

### initialize

    public void initialize(InputSplit genericSplit,
                           TaskAttemptContext context)
                    throws IOException

  Description copied from class: `RecordReader`
  Called once at initialization.

  Specified by:
    `initialize` in class `RecordReader<LongWritable,Text>`
  Parameters:
    `genericSplit` - the split that defines the range of records to read
    `context` - the information about the task
  Throws:
    `IOException`

### nextKeyValue

    public boolean nextKeyValue()
                         throws IOException

  Description copied from class: `RecordReader`
  Read the next key, value pair.

  Specified by:
    `nextKeyValue` in class `RecordReader<LongWritable,Text>`
  Returns:
    true if a key/value pair was read
  Throws:
    `IOException`

### getCurrentKey

    public LongWritable getCurrentKey()

  Description copied from class: `RecordReader`
  Get the current key

  Specified by:
    `getCurrentKey` in class `RecordReader<LongWritable,Text>`
  Returns:
    the current key or null if there is no current key

### getCurrentValue

    public Text getCurrentValue()

  Description copied from class: `RecordReader`
  Get the current value.

  Specified by:
    `getCurrentValue` in class `RecordReader<LongWritable,Text>`
  Returns:
    the object that was read

### getProgress

    public float getProgress()

  Get the progress within the split

  Specified by:
    `getProgress` in class `RecordReader<LongWritable,Text>`
  Returns:
    a number between 0.0 and 1.0 that is the fraction of the data read

### close

    public void close()
               throws IOException

  Description copied from class: `RecordReader`
  Close the record reader.

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `RecordReader<LongWritable,Text>`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation